summaryrefslogtreecommitdiffstats
path: root/csit
diff options
context:
space:
mode:
authorMatthew Watkins <mwatkins@linuxfoundation.org>2022-12-15 17:03:16 +0000
committerMatthew Watkins <mwatkins@linuxfoundation.org>2022-12-15 17:12:29 +0000
commit438fbd45a9ddca70712e147175948f1f8e78d4db (patch)
tree249ef6baafe67d50f7c06e3d49858eed45d709bf /csit
parent96c8e88e3750a16fa66d3f16ea0c84c0daf0be8f (diff)
Chore: Update robot-framework scripts to use Python3.10
Migrate these CSIT scripts to explicitly use the latest Python 3.x version available in pyenv, the same as the earlier jobs that setup the robot framework environment. Also, output some useful versioning information to aid debugging. Issue-ID: CCSDK-3820 Signed-off-by: Matthew Watkins <mwatkins@linuxfoundation.org> Change-Id: I332f2c46018d4c3433f0a3df9a0f35bb90241b07
Diffstat (limited to 'csit')
-rwxr-xr-xcsit/prepare-csit.sh22
-rwxr-xr-xcsit/run-csit.sh25
2 files changed, 43 insertions, 4 deletions
diff --git a/csit/prepare-csit.sh b/csit/prepare-csit.sh
index 67412f3cf..dde961697 100755
--- a/csit/prepare-csit.sh
+++ b/csit/prepare-csit.sh
@@ -28,6 +28,21 @@ fi
TESTPLANDIR=${WORKSPACE}/${TESTPLAN}
+# Version should match those used to setup robot-framework in other jobs/stages
+# Use pyenv for selecting the python version
+if [[ -d "/opt/pyenv" ]]; then
+ echo "Setup pyenv:"
+ export PYENV_ROOT="/opt/pyenv"
+ export PATH="$PYENV_ROOT/bin:$PATH"
+ pyenv versions
+ if command -v pyenv 1>/dev/null 2>&1; then
+ eval "$(pyenv init - --no-rehash)"
+ # Choose the latest numeric Python version from installed list
+ version=$(pyenv versions --bare | sed '/^[^0-9]/d' | sort -V | tail -n 1)
+ pyenv local "${version}"
+ fi
+fi
+
# Assume that if ROBOT3_VENV is set and virtualenv with system site packages can be activated,
# ci-management/jjb/integration/include-raw-integration-install-robotframework.sh has already
# been executed
@@ -48,7 +63,10 @@ fi
# install eteutils
mkdir -p ${ROBOT3_VENV}/src/onap
rm -rf ${ROBOT3_VENV}/src/onap/testsuite
-python3 -m pip install --upgrade --extra-index-url="https://nexus3.onap.org/repository/PyPi.staging/simple" 'robotframework-onap==0.5.1.*' --pre
-pip freeze
+python3 -m pip install --upgrade --extra-index-url="https://nexus3.onap.org/repository/PyPi.staging/simple" 'robotframework-onap==11.0.0.dev17' --pre
+echo "Versioning information:"
+python3 --version
+pip freeze
+python3 -m robot.run --version || : \ No newline at end of file
diff --git a/csit/run-csit.sh b/csit/run-csit.sh
index 6703160a3..9a344c1ff 100755
--- a/csit/run-csit.sh
+++ b/csit/run-csit.sh
@@ -20,14 +20,29 @@
# Branched from ccsdk/distribution to this repository Feb 23, 2021
+echo "---> run-csit.sh"
+
WORKDIR=$(mktemp -d --suffix=-robot-workdir)
+# Version should match those used to setup robot-framework in other jobs/stages
+# Use pyenv for selecting the python version
+if [[ -d "/opt/pyenv" ]]; then
+ echo "Setup pyenv:"
+ export PYENV_ROOT="/opt/pyenv"
+ export PATH="$PYENV_ROOT/bin:$PATH"
+ pyenv versions
+ if command -v pyenv 1>/dev/null 2>&1; then
+ eval "$(pyenv init - --no-rehash)"
+ # Choose the latest numeric Python version from installed list
+ version=$(pyenv versions --bare | sed '/^[^0-9]/d' | sort -V | tail -n 1)
+ pyenv local "${version}"
+ fi
+fi
+
#
# functions
#
-echo "---> run-csit.sh"
-
# wrapper for sourcing a file
function source_safely() {
[ -z "$1" ] && return 1
@@ -192,6 +207,12 @@ SUITES=$( xargs -a testplan.txt )
echo ROBOT_VARIABLES="${ROBOT_VARIABLES}"
echo "Starting Robot test suites ${SUITES} ..."
relax_set
+
+echo "Versioning information:"
+python3 --version
+pip freeze
+python3 -m robot.run --version || :
+
python3 -m robot.run -N ${TESTPLAN} -v WORKSPACE:/tmp ${ROBOT_VARIABLES} ${TESTOPTIONS} ${SUITES}
RESULT=$?
load_set